Package jgromacs.analysis

# Class GNM

java.lang.Object
jgromacs.analysis.GNM

public class GNM extends Object
Objects of this class represent a Gaussian Network Model (GNM) of a protein

## Constructor Summary

Constructors
Constructor
Description
`GNM(Structure s, double cutoff, int distanceBetween)`
Constructs a new Gaussian Network Model

## Method Summary

Modifier and Type
Method
Description
`Jama.Matrix`
`getContactMatrix()`
Returns the contact matrix
`Jama.Matrix`
`getEigenvectorMatrix()`
Returns the orthogonal matrix of eigenvectors (U)
`Jama.Matrix`
`getKirchhoffMatrix()`
Returns the Kirchhoff matrix
`Jama.Matrix`
`getLambdaMatrix()`
Returns the diagonal matrix of eigenvalues (Lambda)
`ArrayList<Double>`
`getMSFProfile()`
Calculates the mean square fluctuation (MSF) profile

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GNM

public GNM(Structure s, double cutoff, int distanceBetween)
Constructs a new Gaussian Network Model

Parameters:
  `s` - structure to be modelled
  `cutoff` - distance cutoff
  `distanceBetween` - which atoms are used for calculating the distances (ALPHACARBON: alpha carbon atoms, CLOSEST: closest atoms of two residues, CLOSESTHEAVY: closest heavy atoms of two residues)

## Method Details

### getContactMatrix

public Jama.Matrix getContactMatrix()
Returns the contact matrix

Returns:
  contact matrix

### getKirchhoffMatrix

public Jama.Matrix getKirchhoffMatrix()
Returns the Kirchhoff matrix

Returns:
  Kirchhoff matrix

### getLambdaMatrix

public Jama.Matrix getLambdaMatrix()
Returns the diagonal matrix of eigenvalues (Lambda)

Returns:
  Lambda matrix

### getEigenvectorMatrix

public Jama.Matrix getEigenvectorMatrix()
Returns the orthogonal matrix of eigenvectors (U)

Returns:
  U matrix

### getMSFProfile

public ArrayList<Double> getMSFProfile()
Calculates the mean square fluctuation (MSF) profile

Returns:
  MSF profile